VLCKit: VLCDialogProvider Class Reference

VLCKit

Instance Methods | Properties | List of all members
VLCDialogProvider Class Reference

`#import <VLCDialogProvider.h>`

Inheritance diagram for VLCDialogProvider:

## Instance Methods
(instancetype _Nullable) | - initWithLibrary:customUI:
(void) | - postUsername:andPassword:forDialogReference:store:
(void) | - postAction:forDialogReference:
(void) | - dismissDialogWithReference:

## Properties
id< VLCCustomDialogRendererProtocol > | customRenderer

## Detailed Description

dialog provider base class

Note
  For iOS and tvOS, there are useable implementations available which don't require the use of a custom renderer

## Method Documentation

## ◆ dismissDialogWithReference:

- (void) dismissDialogWithReference: |  | (NSValue *_Nonnull) | dialogReference |

if you requested custom UI mode for dialogs, use this method to cancel a progress dialog

Parameters

  dialogReference | reference to the dialog you want to cancel

Note
  This method does not have any effect if you don't use custom UI mode

## ◆ initWithLibrary:customUI:

- (instancetype _Nullable) initWithLibrary: |  | (VLCLibrary *_Nullable) | library
customUI: |  | (BOOL) | customUI

initializer method to run the dialog provider instance on a specific library instance

Parameters

  library | the VLCLibrary instance
  customUI | enable custom UI mode

Note
  if library param is NULL, [VLCLibrary sharedLibrary] will be used

Returns
  the dialog provider instance, can be NULL on malloc failures

## ◆ postAction:forDialogReference:

- (void) postAction: |  | (int) | buttonNumber
forDialogReference: |  | (NSValue *_Nonnull) | dialogReference

if you requested custom UI mode for dialogs, use this method respond to a question dialog

Parameters

  buttonNumber | the button number the user pressed, use 3 if s/he cancelled, otherwise respectively 1 or 2 depending on the selected action
  dialogReference | reference to the dialog you respond to

Note
  This method does not have any effect if you don't use custom UI mode

## ◆ postUsername:andPassword:forDialogReference:store:

- (void) postUsername: |  | (NSString *_Nonnull) | username
andPassword: |  | (NSString *_Nonnull) | password
forDialogReference: |  | (NSValue *_Nonnull) | dialogReference
store: |  | (BOOL) | store

if you requested custom UI mode for dialogs, use this method respond to a login dialog

Parameters

  username | or NULL if cancelled
  password | or NULL if cancelled
  dialogReference | reference to the dialog you respond to
  store | shall VLC store the login securely?

Note
  This method does not have any effect if you don't use custom UI mode

## Property Documentation

## ◆ customRenderer

- (id<VLCCustomDialogRendererProtocol>) customRenderer
| readwritenonatomicweak

initializer method to run the dialog provider instance on a specific library instance

Returns
  the object set

The documentation for this class was generated from the following file:

- Headers/Public/VLCDialogProvider.h